import { C8oCore } from "./c8oCore";
export declare class C8oManagerLogin {
    c8o: C8oCore;
    private requestLogin;
    private mutexL;
    constructor(c8o: C8oCore);
    setRequestLogin(url: string, parameters: Object, headers: Object, id: string): Promise<void>;
    defineRequestLogin(id: any): Promise<void>;
    doLogin(): Promise<any>;
}
